﻿@model IEnumerable<LMS.Data.Data.Entities.Author>

@{
    ViewData["Title"] = "Index";
}

<h1 id="login">Authors</h1>

<table id="login" class="table table-h">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Edit" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/EditGreenTrans.png" alt="Edit" width="100">
                            </a>
                        </button>
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Details" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/DetailsYellowTrans.png" alt="Details" width="100">
                            </a>
                        </button>
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Delete" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/DeleteRedTrans.png" alt="Delete" width="100">
                            </a>
                        </button>
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>

@*<a asp-action="Create">
    <img class="d-flex ml-1" src="~/lib/images/CreateNewGreenTrans.png" alt="CreateNew" width="100">
</a>*@